﻿'use strict';

const transformFile = process.argv[2];
const inputFile = process.argv[3];
const outputFile = process.argv[4];
const transform = require(transformFile);
const fs = require("fs");
const path = require("path");

if (!(transform instanceof Function))
    throw "'" + path.basename(transformFile) + "' must export a single function.";

fs.readFile(inputFile, (err, data) => {
    if (err)
        throw err;

    let schema = JSON.parse(data);

    transform(schema);

    fs.writeFile(outputFile, JSON.stringify(schema, null, 4), function (err) {
        if (err)
            throw err;
    });
});